> ## Documentation Index
> Fetch the complete documentation index at: https://docs.browserbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a Page

> Fetch a page and return its content, headers, and metadata.



## OpenAPI

````yaml post /v1/fetch
openapi: 3.0.0
info:
  title: Browserbase API
  description: Browserbase API for 3rd party developers
  version: v1
servers:
  - url: https://api.browserbase.com
    description: Public endpoint
    variables: {}
security:
  - BrowserbaseAuth: []
tags: []
paths:
  /v1/fetch:
    post:
      summary: Fetch a Page
      description: Fetch a page and return its content, headers, and metadata.
      operationId: Fetch_create
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                url:
                  description: The URL to fetch
                  type: string
                  format: uri
                allowRedirects:
                  description: Whether to follow HTTP redirects
                  type: boolean
                  default: false
                allowInsecureSsl:
                  description: Whether to bypass TLS certificate verification
                  type: boolean
                  default: false
                proxies:
                  description: Whether to enable proxy support for the request
                  type: boolean
                  default: false
              required:
                - url
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    description: Unique identifier for the fetch request
                    type: string
                  statusCode:
                    description: HTTP status code of the fetched response
                    type: integer
                  headers:
                    description: Response headers as key-value pairs
                    type: object
                    additionalProperties:
                      type: string
                  content:
                    description: The response body content
                    type: string
                  contentType:
                    description: The MIME type of the response
                    type: string
                  encoding:
                    description: The character encoding of the response
                    type: string
                required:
                  - id
                  - statusCode
                  - headers
                  - content
                  - contentType
                  - encoding
        '400':
          description: Invalid request body.
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    description: HTTP status code
                    type: integer
                  error:
                    description: HTTP error name
                    type: string
                  message:
                    description: Human-readable error message
                    type: string
                  id:
                    description: Unique identifier for the fetch request
                    type: string
                required:
                  - statusCode
                  - error
                  - message
        '429':
          description: Concurrent fetch request limit exceeded.
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    description: HTTP status code
                    type: integer
                  error:
                    description: HTTP error name
                    type: string
                  message:
                    description: Human-readable error message
                    type: string
                  id:
                    description: Unique identifier for the fetch request
                    type: string
                required:
                  - statusCode
                  - error
                  - message
        '502':
          description: >-
            The fetched response was too large or TLS certificate verification
            failed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    description: HTTP status code
                    type: integer
                  error:
                    description: HTTP error name
                    type: string
                  message:
                    description: Human-readable error message
                    type: string
                  id:
                    description: Unique identifier for the fetch request
                    type: string
                required:
                  - statusCode
                  - error
                  - message
                  - id
        '504':
          description: The fetch request timed out.
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    description: HTTP status code
                    type: integer
                  error:
                    description: HTTP error name
                    type: string
                  message:
                    description: Human-readable error message
                    type: string
                  id:
                    description: Unique identifier for the fetch request
                    type: string
                required:
                  - statusCode
                  - error
                  - message
                  - id
components:
  securitySchemes:
    BrowserbaseAuth:
      type: apiKey
      in: header
      name: X-BB-API-Key
      description: Your [Browserbase API Key](https://www.browserbase.com/settings).

````